
QGIS Application - Bug report #4764

crash on exit in GDal deinitialization

2012-01-09 12:53 PM - Sandro Santilli

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 14628

Description

Start qgis with, start db_manager plugin, select a simple topology (the city_data constructed by topology/test/load_topology.sql is ok),

select TopoViewer, close the qgis main window.

 #0  0x00007f5ed7bfd76c in malloc_consolidate (av=0x7f5ed7f04e40) at malloc.c:5144

 #1  0x00007f5ed7c00460 in _int_free (av=0x7f5ed7f04e40, p=0x2afa5a0) at malloc.c:5017

 #2  0x00007f5ed7c03e83 in *__GI___libc_free (mem=<value optimized out>) at malloc.c:3738

 #3  0x00007f5ed90a52c9 in CPLCleanupTLSList (papTLSList=0x2b8f440) at cpl_multiproc.cpp:184

 #4  0x00007f5ed90655ea in ~GDALDriverManager (this=0x7f5eb4013250, __in_chrg=<value optimized out>) at

gdaldrivermanager.cpp:234

Doesn't happen with qgis master (2.0dev) on the same machine (thus same gdal)

I've no idea about the category...

History

#1 - 2012-01-09 12:57 PM - Sandro Santilli

It still segfaults if you remove all layers before closing the window.

Doesn't segfault if you never load any layer.

#2 - 2012-04-16 06:32 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

#3 - 2012-09-04 11:54 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#4 - 2012-12-14 09:11 AM - Sandro Santilli

- Resolution set to fixed

- Status changed from Open to Closed

Haven't seen this for a long time now. Dunno which commit fixed it.
